创建向量嵌入
curl --request POST \
--url https://api.bianxie.ai/v1/embeddingsimport requests
url = "https://api.bianxie.ai/v1/embeddings"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.bianxie.ai/v1/embeddings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
OpenAI
创建向量嵌入
将文本转换为向量
POST
/
v1
/
embeddings
创建向量嵌入
| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
model | string | 是 | Embedding 模型 ID。 |
input | string/array | 是 | 文本、文本数组或 token 数组。不得为空。 |
encoding_format | string | 否 | float 或 base64。 |
dimensions | integer | 否 | 支持该能力的模型所返回的维数。 |
user | string | 否 | 终端用户标识。 |
curl https://api.bianxie.ai/v1/embeddings \
-H "Authorization: Bearer API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "your-model",
"input": "要嵌入的文本"
}'
client.embeddings.create(model="your-model", input="要嵌入的文本")
await client.embeddings.create({ model: "your-model", input: "Text to embed" });
object: "list"、data[](embedding、index、object)、model 与 usage。此接口不支持流式输出。⌘I
